
CoCoA-5 - Bug #163

RealRootsApprox bombs

20 May 2012 11:06 - John Abbott

Status: Closed Start date: 20 May 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Incomplete function Estimated time: 0.00 hour

Target version: CoCoA-5.0.3 Spent time: 1.75 hour

Description

The following lines produce an ERR::SERIOUS on my installation

Use QQ[x];

F := x^8 -x^7 -8*x^6 -6*x^5 -9*x^3 -16*x^2 -8*x -1;

RealRootsApprox(FStar,10^(-10));

 

This may be related to my experimental blocking of GCDs in fields.

History

#1 - 20 May 2012 11:30 - John Abbott

The example I gave contains FStar instead of F.

The bug is simply an unwarranted error; JAA does not believe there is any risk of getting a wrong answer.

As I suspected the problem is the computation of GCD between ringelems in QQ.  Will continue to investigate.

#2 - 20 May 2012 12:41 - John Abbott

Added a new C5 test file.

The RealRoots code is rather messy; I suppose it should be rewritten in C++.  Any volunteers?

I thought I'd fixed the problem but the code still fails sometimes.

#3 - 20 May 2012 13:28 - John Abbott

- Status changed from New to Resolved

I've modified RealRoots, and it seems to work now.

What puzzles me is that the bug came to light only today, even though I've been using RealRoots (on very similar examples) intensively for the last

week.  I believe the bug was introduced when adapting the code to run in CoCoA-5.

I'll check in the changes I've made, but will wait a little before declaring the issue closed.
#4 - 30 May 2012 16:14 - John Abbott

- Status changed from Resolved to Closed

- Assignee set to John Abbott

- % Done changed from 0 to 100

I've contined to use RealRootsApprox intensively, and no further problems have come to light.  So I'm closing this issue.

#5 - 13 Jul 2012 15:26 - Anna Maria Bigatti

- Project changed from CoCoA to CoCoA-5

#6 - 13 Jul 2012 15:27 - Anna Maria Bigatti

- Category set to Incomplete function

- Target version set to CoCoA-5.0.3
